<template>
	<div>
		<div class="row">
			<div class="col-md-12 grid-margin stretch-card">
				<div class="card">
					<div class="card-header">
						<div class="col-md-12 d-flex justify-content-md-end">
							<button type="button" class="btn btn-outline-primary btn-icon-text mr-2 mb-2 mb-md-0"  @click="printDiv">
								<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-printer btn-icon-prepend"><polyline points="6 9 6 2 18 2 18 9"></polyline><path d="M6 18H4a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2h-2"></path><rect x="6" y="14" width="12" height="8"></rect></svg>
								Print
							</button>
						</div>
					</div>

					<div id="printdiv" class="card-body">

						<h6 class="card-title">Profil Inovasi</h6>

						<div class="form-group text-center" v-if="preview.logo">
							<img :src="getImage(preview.logo)" height="200px" alt="Logo Inovasi">
						</div>

						<div class="table-responsive">
							<table class="table">
								<thead>
									<tr>
										<th width="20%"></th>
										<th></th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>Jenis</td>
										<td>:
											{{preview.innovator.jenis_innovators.name}}
										</td>
									</tr>
									<tr>
										<td>Nama</td>
										<td>:
											{{preview.nama_singkat}}
										</td>
									</tr>
									<tr>
										<td>PIC</td>
										<td>:
											{{preview.innovator.nama_pic}}
										</td>
									</tr>
									<tr>
										<td>Email</td>
										<td>:
											<span>
												{{preview.innovator.user.email}}
											</span>
											<span v-if="preview.innovator.email_cadangan">
												, {{preview.innovator.email_cadangan}}
											</span>
										</td>
									</tr>
									<tr>
										<td>Kontak</td>
										<td>:
											<span>
												{{preview.innovator.kontak}}
											</span>
											<span v-if="preview.innovator.kontak_cadangan">
												, {{preview.innovator.kontak_cadangan}}
											</span>
										</td>
									</tr>
									<tr>
										<td>Tahapan</td>
										<td>: {{preview.tahapaninovasi.name}}</td>
									</tr>
									<tr>
										<td>Inisiator</td>
										<td>: {{preview.inisiatorinovasi.name}}</td>
									</tr>
									<tr>
										<td>Sistem</td>
										<td>:
											{{preview.sisteminovasi.name}}
										</td>
									</tr>
									<tr>
										<td>Bentuk</td>
										<td>:
											{{preview.bentukinovasi.name}}
										</td>
									</tr>
									<tr>
										<td>Jenis</td>
										<td>:
											{{preview.jenisinovasi.name}}
										</td>
									</tr>
									<tr>
										<td>Covid-19</td>
										<td>:
											{{preview.covidinovasi.name}}
										</td>
									</tr>
									<tr>
										<td>Bidang Fokus</td>
										<td>: {{preview.bidanginovasi.name}}</td>
									</tr>
									<tr>
										<td>Urusan Inovasi</td>
										<td>
											:
											<span v-for="item in preview.urusaninovasi">
												{{item.name}},
											</span>
										</td>
									</tr>
									<tr>
										<td>Uji Coba</td>
										<td>: {{preview.waktu_ujicoba}}</td>
									</tr>
									<tr>
										<td>Penerapan</td>
										<td>: {{preview.waktu_implementasi}}</td>
									</tr>
									<tr>
										<td>Rancang Bangun</td>
										<td>: {{preview.rancang_bangun}}</td>
									</tr>
									<tr>
										<td>Tujuan</td>
										<td>: {{preview.tujuan}}</td>
									</tr>
									<tr>
										<td>Manfaat</td>
										<td>: {{preview.manfaat}}</td>
									</tr>
									<tr>
										<td>Hasil</td>
										<td>: {{preview.hasil}}</td>
									</tr>
									<tr>
										<td>Pengalaman</td>
										<td>:
											<span v-if="preview.pengalamans">
												<span v-for="item in preview.pengalamans">
													<span v-if="item.nama_pengalaman">
														{{item.nama_pengalaman}},
													</span>
													<span v-if="item.penyelengara">
														{{item.penyelenggara}},
													</span>
													<span v-if="item.tahun_pengalaman">
														{{item.tahun_pengalaman}},
													</span>
													<span v-if="item.predikat">
														{{item.predikat}}
													</span>
												</span>
											</span>
											<span v-if="preview.pengalamans.length < 1">-</span>
										</td>
									</tr>
									<tr>
										<td>Penghargaan</td>
										<td>:
											<span v-if="preview.penghargaans">
												<span v-for="item in preview.penghargaans">
													<span v-if="item.nama_penghargaan">
														{{item.nama_penghargaan}},
													</span>
													<span v-if="item.pemberi_penghargaan">
														{{item.pemberi_penghargaan}},
													</span>
													<span v-if="item.tahun_penghargaan">
														{{item.tahun_penghargaan}}
													</span>
												</span>
											</span>
											<span v-if="preview.penghargaans.length < 1">-</span>
										</td>
									</tr>
									<tr>
										<td>HaKI</td>
										<td>:
											<span v-if="preview.hkis">
												<span v-if="preview.hkis.nomor">
													{{preview.hkis.nomor}},
												</span>
												<span v-if="preview.hkis.nama_pencipta">
													{{preview.hkis.nama_pencipta}},
												</span>
												<span v-if="preview.hkis.pemegang_hakcipta">
													{{preview.hkis.pemegang_hakcipta}},
												</span>
												<span v-if="preview.hkis.jenis_ciptaan">
													{{preview.hkis.jenis_ciptaan}},
												</span>
												<span v-if="preview.hkis.judul_ciptaan">
													{{preview.hkis.judul_ciptaan}},
												</span>
												<span v-if="preview.hkis.nomor_pencatatan">
													{{preview.hkis.nomor_pencatatan}},
												</span>
											</span>
											<span v-if="preview.hkis.length < 1">-</span>
										</td>
									</tr>
								</tbody>
							</table>
							<hr>
							<div>Kompilasi Foto :</div>
							<div class="form-group" v-if="foto">
								<span v-for="item in foto">
									<img :src="getImage(item)" height="200px" alt="Foto"> &ensp;
								</span>
							</div>
							<div>Video :</div>
							<div class="form-group" v-if="video">
								<div v-for="item in video">
									<a :href="item.link_video" target="_blank">{{item.link_video}}</a>
									<div>
										<iframe :src="embedVideo(item.link_video)" 
										frameborder="0"
										allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
										></iframe> <br>
									</div>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
		<!-- endprint -->
		<button class="btn btn-primary" type="submit"  @click.prevent="back()">Kembali</button>
	</div>
</template>

<script>

export default {
	props: ['dataprops'],
        //Binding Data
        data() {
        	return {
        		component:'PreviewInovasi',
        		token:document.head.querySelector('meta[name="csrf-token"]').content,
        		datainovasi:[],
        		preview:[],
        		status:'',
        		category:'',
        		foto:[],
        		video:[],
        		pengalamans:[],
        	}
        },

        created(){
        	this.initial();
        },

        methods: {

        	initial(){
        		this.preview=this.dataprops
        		let photos = this.dataprops.photos,
        		video = this.dataprops.linkvideos,
        		pengalamans = this.dataprops.pengalamans;
        		if(photos){
        			this.foto = JSON.parse(photos)
        		}
        		if(video !== `[{"link_video":""}]` || video !== null){
        			this.video = JSON.parse(video)
        		}else{
        			this.video=null
        		}
        	},

        	getImage(img){
        		return `/${img}`
        	},

        	embedVideo(video){
        		let src = video.replace(/(?:https:\/\/)?(?:www\.)?(?:youtube\.com|youtu\.be)\/(?:watch\?v=)?(.+)/g, 'https://www.youtube.com/embed/$1');
        		return src;
        		console.log(src)
        	},

        	back(){
        		let data = {
        			visit:'DataInovasi'
        		}
        		this.$emit('datacomponent', data)
        	},

        	printDiv() {
        		let contents = document.getElementById("printdiv").innerHTML;
        		let frame1 = document.createElement('iframe');
        		frame1.name = "frame1";
        		frame1.style.position = "absolute";
        		frame1.style.top = "-1000000px";
        		document.body.appendChild(frame1);
        		let frameDoc = frame1.contentWindow ? frame1.contentWindow : frame1.contentDocument.document ? frame1.contentDocument.document : frame1.contentDocument;
        		frameDoc.document.open();
        		frameDoc.document.write('<html lang="en"><head><title>Fiche Client</title>');
        		frameDoc.document.write('<link rel="stylesheet" type="text/css" href="/css/print.css"/>');
        		frameDoc.document.write('</head><body>');
        		frameDoc.document.write(contents);
        		frameDoc.document.write('</body></html>');
        		frameDoc.document.close();
        		setTimeout(function () {
        			window.frames["frame1"].focus();
        			window.frames["frame1"].print();
        			document.body.removeChild(frame1);
        		}, 500);
        		return false;
        	},

        },
    }
    </script>

    <style>

    </style>
